<template>
  <div style="left: 0; width: 100%; height: 0; position: relative; padding-bottom: 56.25%" class="mb-16">
    <!--- load iframe Youtube player inside this div -->
    <iframe
      style="border: 1; top: 0; left: 0; width: 100%; height: 100%; position: absolute; border-radius: 8px"
      :src="`https://www.youtube-nocookie.com/embed/${id}`"
      allowfullscreen
      scrolling="no"
      allow="encrypted-media; accelerometer; 
gyroscope; picture-in-picture"
    >
    </iframe>
  </div>
</template>

<script>
export default {
  props: {
    id: String,
  },
}
</script>
